Package fr.gouv.vitam.worker.core.handler

# Class ExtractSedaActionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.handler.ExtractSedaActionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class ExtractSedaActionHandler extends ActionHandler
Handler class used to extract metaData. Create and put a new file (metadata extracted) json.json into container GUID

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXPECTED_MANDATORY_VERSION_1`
  `static final String`
  `MANAGEMENT_CONTRACT_ID_FIELD`
  `static final int`
  `OG_ID_TO_GUID_IO_MEMORY_RANK`
  `static final int`
  `OG_ID_TO_UNID_ID_IO_RANK`
  `static final String`
  `SUBTASK_ATTACHMENT_REQUIRED`
  `static final String`
  `SUBTASK_EMPTY_KEY_ATTACHMENT`
  `static final String`
  `SUBTASK_ERROR_PARSE_ATTACHMENT`
  `static final String`
  `SUBTASK_INVALID_GUID_ATTACHMENT`
  `static final String`
  `SUBTASK_MODIFY_PARENT_EXISTING_UNIT_UNAUTHORIZED`
  `static final String`
  `SUBTASK_NOT_FOUND_ATTACHMENT`
  `static final String`
  `SUBTASK_NULL_LINK_PARENT_ID_ATTACHMENT`
  `static final String`
  `SUBTASK_TOO_MANY_FOUND_ATTACHMENT`
  `static final String`
  `SUBTASK_UNAUTHORIZED_ATTACHMENT`
  `static final String`
  `SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_BAD_SP`
  `static final String`
  `SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_CONTRACT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtractSedaActionHandler()`
  Constructor with parameter SedaUtilsFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handlerIO)`
  Execute an action
  `static String`
  `getId()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OG_ID_TO_UNID_ID_IO_RANK

    public static final int OG_ID_TO_UNID_ID_IO_RANK
    See Also:
      - Constant Field Values

  - ### OG_ID_TO_GUID_IO_MEMORY_RANK

    public static final int OG_ID_TO_GUID_IO_MEMORY_RANK
    See Also:
      - Constant Field Values

  - ### SUBTASK_ERROR_PARSE_ATTACHMENT

    public static final String SUBTASK_ERROR_PARSE_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_EMPTY_KEY_ATTACHMENT

    public static final String SUBTASK_EMPTY_KEY_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_NULL_LINK_PARENT_ID_ATTACHMENT

    public static final String SUBTASK_NULL_LINK_PARENT_ID_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_TOO_MANY_FOUND_ATTACHMENT

    public static final String SUBTASK_TOO_MANY_FOUND_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### EXPECTED_MANDATORY_VERSION_1

    public static final String EXPECTED_MANDATORY_VERSION_1
    See Also:
      - Constant Field Values

  - ### SUBTASK_NOT_FOUND_ATTACHMENT

    public static final String SUBTASK_NOT_FOUND_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_ATTACHMENT_REQUIRED

    public static final String SUBTASK_ATTACHMENT_REQUIRED
    See Also:
      - Constant Field Values

  - ### SUBTASK_UNAUTHORIZED_ATTACHMENT

    public static final String SUBTASK_UNAUTHORIZED_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_CONTRACT

    public static final String SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_CONTRACT
    See Also:
      - Constant Field Values

  - ### SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_BAD_SP

    public static final String SUBTASK_UNAUTHORIZED_ATTACHMENT_BY_BAD_SP
    See Also:
      - Constant Field Values

  - ### SUBTASK_INVALID_GUID_ATTACHMENT

    public static final String SUBTASK_INVALID_GUID_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### SUBTASK_MODIFY_PARENT_EXISTING_UNIT_UNAUTHORIZED

    public static final String SUBTASK_MODIFY_PARENT_EXISTING_UNIT_UNAUTHORIZED
    See Also:
      - Constant Field Values

  - ### MANAGEMENT_CONTRACT_ID_FIELD

    public static final String MANAGEMENT_CONTRACT_ID_FIELD
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExtractSedaActionHandler

    public ExtractSedaActionHandler()
    Constructor with parameter SedaUtilsFactory

- ## Method Details

  - ### getId

    public static String getId()
    Returns:
      HANDLER_ID

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handlerIO)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `params` - `WorkerParameters`
      `handlerIO` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete